curl --request POST \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state' \
--header 'Content-Type: application/json' \
--data '{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state"
headers = {'Content-Type': 'application/json'}
payload = json.loads(r'''{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}''')
response = requests.request(
"POST", url, headers=headers, json=payload
)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state', {
method: 'POST',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}),
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => <<<'JSON'
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
JSON,
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"bytes"
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("POST", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state", bytes.NewBufferString(`{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}`))
req.Header.Set("Content-Type", "application/json")
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state"))
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("""
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
"""))
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state')
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = <<~JSON
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"record_time": "2026-01-01T00:00:00Z",
"migration_id": 123,
"created_events": [
{
"created_in_update_id": "<string>",
"contract_id": "<string>",
"template_id": "<string>",
"package_name": "<string>",
"create_arguments": {},
"created_at": "2026-01-01T00:00:00Z",
"signatories": [
"<string>"
],
"observers": [
"<string>"
]
}
],
"next_page_token": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
POST /v2/holdings/state
Returns the active amulet contracts for a given migration id and record time, in creation date ascending order, paged.
POST
/
api
/
scan
/
v2
/
holdings
/
state
curl --request POST \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state' \
--header 'Content-Type: application/json' \
--data '{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state"
headers = {'Content-Type': 'application/json'}
payload = json.loads(r'''{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}''')
response = requests.request(
"POST", url, headers=headers, json=payload
)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state', {
method: 'POST',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}),
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => <<<'JSON'
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
JSON,
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"bytes"
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("POST", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state", bytes.NewBufferString(`{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}`))
req.Header.Set("Content-Type", "application/json")
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state"))
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("""
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
"""))
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state')
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = <<~JSON
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"record_time": "2026-01-01T00:00:00Z",
"migration_id": 123,
"created_events": [
{
"created_in_update_id": "<string>",
"contract_id": "<string>",
"template_id": "<string>",
"package_name": "<string>",
"create_arguments": {},
"created_at": "2026-01-01T00:00:00Z",
"signatories": [
"<string>"
],
"observers": [
"<string>"
]
}
],
"next_page_token": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
Returns the active amulet contracts for a given migration id and record time, in creation date ascending order, paged.
OpenAPIAdded 0.7.5
curl --request POST \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state' \
--header 'Content-Type: application/json' \
--data '{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state"
headers = {'Content-Type': 'application/json'}
payload = json.loads(r'''{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}''')
response = requests.request(
"POST", url, headers=headers, json=payload
)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state', {
method: 'POST',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}),
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => <<<'JSON'
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
JSON,
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"bytes"
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("POST", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state", bytes.NewBufferString(`{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}`))
req.Header.Set("Content-Type", "application/json")
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state"))
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("""
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
"""))
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v2/holdings/state')
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = <<~JSON
{
"migration_id": 123,
"record_time": "2026-01-01T00:00:00Z",
"record_time_match": "exact",
"after": "<string>",
"page_size": 123,
"owner_party_ids": [
"<string>"
]
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"record_time": "2026-01-01T00:00:00Z",
"migration_id": 123,
"created_events": [
{
"created_in_update_id": "<string>",
"contract_id": "<string>",
"template_id": "<string>",
"package_name": "<string>",
"create_arguments": {},
"created_at": "2026-01-01T00:00:00Z",
"signatories": [
"<string>"
],
"observers": [
"<string>"
]
}
],
"next_page_token": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
Body
application/json
number
required
OpenAPI type:
integer (int64).The migration id for which to return the ACS.string
required
OpenAPI type:
string (date-time).The timestamp at which the contract set was active. This needs to be an exact timestamp, i.e., needs to correspond to a timestamp reported by /v0/state/acs/snapshot-timestamp if record_time_match is set to exact (which is the default). If record_time_match is set to at_or_before, this can be any timestamp, and the most recent snapshot at or before the given record_time will be returned.string
default:"exact"
How to match the record_time. “exact” requires the record_time to match exactly. “at_or_before” finds the most recent snapshot at or before the given record_time.Allowed values:
exact, at_or_before.string
Pagination token for the next page of results. This token is opaque and not meant to be edited by users.
number
required
OpenAPI type:
integer (int32).The maximum number of created events returned for this request.string[]
required
Filters by contracts in which these party_ids are the owners of the amulets.Minimum items: 1.
Responses
200
okapplication/json
string (date-time)
required
The same
record_time as in the request.integer (int64)
required
The same
migration_id as in the request.ActiveContract[]
required
Up to
page_size contracts in the ACS. create_arguments are always encoded as compact_json.Show child attributes
Show child attributes
string
The id of the update in which this contract was created. Optional and will be absent for contracts created in prior migration IDs.
string
required
The ID of the created contract.
string
required
The template of the created contract.
string
required
The package name of the created contract.
object
required
The arguments that have been used to create the contract, in the form of JSON representation of a Daml record.
string (date-time)
required
Ledger effective time of the transaction that created the contract.
string[]
required
Signatories to the contract, in the form of party IDs.
string[]
required
Observers to the contract, in the form of party IDs.
string
When requesting the next page of results, pass this as
after to the AcsRequestV2 or HoldingsStateRequestV2. Will be absent when there are no more pages. This token is opaque and not meant to be edited by users.400
bad requestapplication/json
string
required
404
not foundapplication/json
string
required
500
internal server errorapplication/json
string
required
History
Added
0.7.5